diff -r 46b87da5426b src/dce/model/libc-dce.c
--- a/src/dce/model/libc-dce.c	Mon May 02 09:45:53 2011 +0200
+++ b/src/dce/model/libc-dce.c	Wed Jun 29 14:49:43 2011 +0200
@@ -111,6 +111,7 @@
   libc->vfprintf_fn = dce_vfprintf;
   libc->vsprintf_fn = vsprintf;
   libc->vsnprintf_fn = vsnprintf;
+  libc->sscanf_fn = vsscanf;
   libc->fputc_fn = dce_fputc;
   libc->fputs_fn = dce_fputs;
   libc->fgetc_fn = dce_fgetc;
diff -r 46b87da5426b src/dce/model/libc.c
--- a/src/dce/model/libc.c	Mon May 02 09:45:53 2011 +0200
+++ b/src/dce/model/libc.c	Wed Jun 29 14:49:43 2011 +0200
@@ -271,6 +271,10 @@
 {
   return g_libc.strncpy_fn (dest, src, n);
 }
+char *__strcpy_chk (char *dest, const char *src, size_t n)
+{
+  return g_libc.strcpy_fn (dest, src);
+}
 int strcmp(const char *s1, const char *s2)
 {
   return g_libc.strcmp_fn (s1, s2);
@@ -1105,5 +1109,128 @@
   globals.penvp = &environ;
   g_libc.global_variables_setup (&globals);
 }
+/* 
+ * Does not compile
+ *
+char *if_indextoname(unsigned ifindex, char *ifname)
+{
+  return g_libc.if_indextoname_fn(ifindex, ifname);
+} 
 
+int pthread_rwlock_init(pthread_rwlock_t * rwlock,
+                        const pthread_rwlockattr_t * attr)
+{
+  return g_libc.pthread_rwlock_init_fn(rwlock, attr);
+}
+int sigwait(const sigset_t *set, int *sig)
+{
+  return g_libc.sigwait_fn (set, sig);
+}
+char *ctime_r(const time_t *timep, char *buf)
+{
+  return g_libc.ctime_r_fn (timep, buf);
+}
+int clock_gettime(clockid_t which_clock, struct timespec *tp)
+{
+  return g_libc.clock_gettime_fn (which_clock, tp);
+}
 
+int pthread_rwlock_wrlock (pthread_rwlock_t *rwlock)
+{
+  return g_libc.pthread_rwlock_wrlock_fn (rwlock);
+}
+int pthread_rwlock_unlock(pthread_rwlock_t *rwlock)
+{
+  return g_libc.pthread_rwlock_unlock_fn (rwlock);
+}
+int pthread_rwlock_rdlock(pthread_rwlock_t *rwlock)
+{
+  return g_libc.pthread_rwlock_rdlock_fn (rwlock);
+}
+int pthread_sigmask(int how, const sigset_t *set, sigset_t *oldset)
+{
+  return g_libc.pthread_sigmask_fn (how, set, oldset);
+}
+int pthread_setcancelstate(int state, int *oldstate)
+{
+  return g_libc.pthread_setcancelstate_fn (state, oldstate);
+}
+char *__xpg_basename (char *filename)
+{
+  return g_libc.__xpg_basename_fn (filename);
+} 
+  *
+  */
+
+int __printf_chk (int __flag, __const char *__restrict __format, ...)
+{
+  va_list ap;
+  va_start (ap, __format);
+  int retval = g_libc.vfprintf_fn (stdout, __format, ap);
+  va_end (ap);
+  return retval;
+}
+int __vfprintf_chk (FILE *__restrict __stream, int __flag,
+                    __const char *__restrict __format, _G_va_list __ap)
+{
+  return g_libc.vfprintf_fn (__stream, __format, __ap);
+}
+int __fprintf_chk (FILE *__restrict __stream, int __flag,
+                    __const char *__restrict __format, ...)
+{
+  va_list ap;
+  va_start (ap, __format);
+  int retval = g_libc.vfprintf_fn (__stream, __format, ap);
+  va_end (ap);
+  return retval;
+}
+int __snprintf_chk(char *__restrict __s, size_t __n, int __flag,
+                   size_t __slen, __const char *__restrict __format, ...)
+{
+  va_list ap;
+  va_start (ap, __format);
+  int retval = g_libc.vsnprintf_fn (__s, __n, __format, ap);
+  va_end (ap);
+  return retval;
+}
+int usleep(useconds_t useconds) 
+{
+  // __set_errno(ENOSYS);
+  return -1;
+}
+int sscanf(const char *str, const char *format, ...) 
+{
+  va_list va;
+  va_start(va, format);
+  int retval = g_libc.sscanf_fn(str, format, va);
+  va_end(va);
+  return retval;
+}
+/*
+struct protoent *getprotobynumber(int proto)
+{
+  return g_libc.getprotobynumber_fn (proto);
+}
+int inet6_opt_find (void *__extbuf, socklen_t __extlen, int __offset,
+                    uint8_t __type, socklen_t *__lenp,
+                    void **__databufp)
+{
+  return g_libc.inet6_opt_find_fn (__extbuf, __extlen, __offset, __type, __lenp, __databufp);
+}
+char *basename (char *filename)
+{
+  return g_libc.basename_fn (filename);
+}
+void syslog(int priority, const char *format, ...)
+{
+  // XXX
+  return;
+}
+
+char *strncat(char *dest, const char *src, size_t n)
+{
+  return g_libc.strncat_fn (dest, src, n);
+} 
+*/
+
+
diff -r 46b87da5426b src/dce/model/libc.h
--- a/src/dce/model/libc.h	Mon May 02 09:45:53 2011 +0200
+++ b/src/dce/model/libc.h	Wed Jun 29 14:49:43 2011 +0200
@@ -36,6 +36,7 @@
 {
   void (*global_variables_setup) (struct SimuGlobalVariables *globals);
   int (*vfprintf_fn) (FILE *, const char *, va_list);
+  int (*sscanf_fn) (const char *, const char *, va_list); 
   int (*vsprintf_fn) (char *, const char *, va_list);
   int (*vsnprintf_fn) (char *, size_t, const char *, va_list);
   void *(*mmap64_fn) (void *addr, size_t len, int prot, int flags, int fd, off64_t offset);
